summaryrefslogtreecommitdiffstats
path: root/source/l/pipewire
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pipewire')
-rw-r--r--source/l/pipewire/b46d8a8c921a8da6883610ad4b68da95bf59b59e.patch30
-rwxr-xr-xsource/l/pipewire/pipewire.SlackBuild4
2 files changed, 33 insertions, 1 deletions
diff --git a/source/l/pipewire/b46d8a8c921a8da6883610ad4b68da95bf59b59e.patch b/source/l/pipewire/b46d8a8c921a8da6883610ad4b68da95bf59b59e.patch
new file mode 100644
index 000000000..70af7d0ad
--- /dev/null
+++ b/source/l/pipewire/b46d8a8c921a8da6883610ad4b68da95bf59b59e.patch
@@ -0,0 +1,30 @@
+From b46d8a8c921a8da6883610ad4b68da95bf59b59e Mon Sep 17 00:00:00 2001
+From: Wim Taymans <wtaymans@redhat.com>
+Date: Wed, 16 Nov 2022 20:45:38 +0100
+Subject: [PATCH] alsa: force playback start when buffer is full
+
+When we try to play data but the ringbuffer is full, we need to start
+the device or else we will stay in this situation forever and stay
+silent.
+
+Fixes #2830
+---
+ spa/plugins/alsa/alsa-pcm.c | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/spa/plugins/alsa/alsa-pcm.c b/spa/plugins/alsa/alsa-pcm.c
+index fed56e7bb..5e0a60b37 100644
+--- a/spa/plugins/alsa/alsa-pcm.c
++++ b/spa/plugins/alsa/alsa-pcm.c
+@@ -2128,7 +2128,7 @@ again:
+
+ state->sample_count += total_written;
+
+- if (SPA_UNLIKELY(!state->alsa_started && total_written > 0))
++ if (SPA_UNLIKELY(!state->alsa_started && (total_written > 0 || frames == 0)))
+ do_start(state);
+
+ return 0;
+--
+GitLab
+
diff --git a/source/l/pipewire/pipewire.SlackBuild b/source/l/pipewire/pipewire.SlackBuild
index a601917b7..474b3a626 100755
--- a/source/l/pipewire/pipewire.SlackBuild
+++ b/source/l/pipewire/pipewire.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pipewire
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -89,6 +89,8 @@ find . \
# Add media-session:
( cd subprojects ; tar xf $CWD/media-session.tar.lz )
+cat $CWD/b46d8a8c921a8da6883610ad4b68da95bf59b59e.patch | patch -p1 --verbose || exit 1
+
# Configure, build, and install:
export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"